<?php
$_SESSION['title']="Локации";
heads($headers_page, $set_ob_start);   //подключение шапки         <hr /> 

$all=mysql_result(mysql_query("SELECT count(*) FROM `location` "),0);
$pnumber=10; //$user['set_p_str']; //Элементов на страницу 1;//
    if(!isset($_GET['page'])){$_GET['page']=1;}
		//$n=new Navigator($all,$pnumber);
    $n=k_page($all,$pnumber);
    if($_GET['page']=='end'){$page=$n;}
    else{$page=intval($_GET['page']);}
    if($page<1){$page=1;}
    $start=$page*$pnumber-$pnumber;
    if($start<1){$start=0;}
$locs=mysql_query("SELECT * FROM `location` ORDER BY `id` DESC LIMIT  $start,$pnumber");
if(mysql_num_rows($locs))
{
echo "<div class='c03'>";
  while($data=mysql_fetch_assoc($locs))
  {
  echo "<div class='menu'>[$data[s]] $data[name]<br />
  <a href='?l=locedit&amp;loc=$data[id]'> [edit]</a>
  <a href='?l=cardedit&amp;loc=$data[id]'> [card]</a>
  <a href='?l=locdel&amp;loc=$data[id]'> [del]</a> 
  </div>";  
  }
echo "</div>";
if($n>1){echo str2($link="?l=loccard&",$n,$page);}
}else{echo "<div class='errh'>Нет локаций!</div>";}

echo "<div class='menu'><a href='?l=newloc'>+ Добавить локацию</a></div>";
?>